: Class BasicAuthRealm

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTTP.Handler
Class BasicAuthRealm

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--java.util.Properties
                        |
                        +--com.mortbay.HTTP.Handler.BasicAuthRealm

public class BasicAuthRealm
extends java.util.Properties

Basic Authentication realm.

Instances of this class represent a named basic authentication realm. BasicAuthRealm extends a Hashtable which maps usernames to passwords.

Version:
  $Id: BasicAuthRealm.java,v 2.3 1999/09/22 15:08:42 gregw Exp $
Author:
  Greg Wilkins
See Also:
  `BasicAuthHandler`, Serialized Form

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`BasicAuthRealm(java.lang.String name)` Construct empty realm
`BasicAuthRealm(java.lang.String name, java.util.Properties properties)` Construct realm from properties
`BasicAuthRealm(java.lang.String name, java.lang.String filename)` Construct realm from property file

Method Summary
`java.lang.String` | `name()`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, propertyNames, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicAuthRealm

    public BasicAuthRealm(java.lang.String name,
                          java.util.Properties properties)
                   throws java.io.IOException

  Construct realm from properties
  Parameters:
    `name` - The name of the realm
    `properties` - Map from username to password
  Throws:
    java.io.IOException -

### BasicAuthRealm

    public BasicAuthRealm(java.lang.String name,
                          java.lang.String filename)
                   throws java.io.IOException

  Construct realm from property file
  Parameters:
    `name` - The name of the realm

### BasicAuthRealm

    public BasicAuthRealm(java.lang.String name)

  Construct empty realm
  Parameters:
    `name` - The name of the realm

Method Detail

### name

    public java.lang.String name()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD